#include <pbstdlib.h>

/** Sum of the first 100 numbers (0..99).
 * The loop will be optimized into a constant expression.
 */

int main()
{
    int16_t sum = 0;
    for (int16_t i = 0; i < 100; ++i) {
        /* in -O3 the loop is computed in compile-time! */
        sum += i;
    }
    
    __output(0, sum);
    __output(1, sum >> 8);
    return sum;
}
