#include <pbstdlib.h>

/** Cumulative sum of the first 100 numbers (0..99),
 * with incremental output to an I/O port.
 * Compared to the example 07-sum, the loop is not optimized away.
 */

int main()
{
    int16_t sum = 0;
    for (int16_t i = 0; i < 100; ++i) {
        sum += i;
        __output(0, sum);
        __output(1, sum >> 8);
    }
    
    return sum;
}
