
#include <pbstdlib.h>

static void fill(char *s)
{
    s[0] = 'H';
    s[1] = 'e';
    s[2] = 'l';
    s[3] = 'l';
    s[4] = 'o';
    s[5] = '\0';
}

int main()
{
    char str[10];
    /* We cannot simply use:
     * 
     *    const char *str = "Hello"; 
     * 
     * because PBlaze cannot read constants from the program memory.
     * Thus the only thing to do is to load the array one by one using the
     * LOAD and STORE instructions.
     * The automatic transformation is NOT IMPLEMENTED in the compiler
     * as of now, so we have to do it by hand.
     */
    fill(str);
    
    char *p = str;
    while (*p) 
        /* write char to port 0x00 */
        __output(0x00, *p++);
    
    return 0;
}
